Passer au contenu principal
POST
/
alerts
Create alert
curl --request POST \
  --url https://nvidia.casebender.com/api/v1/alerts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "severity": 2.5,
  "statusValue": "<string>",
  "description": "<string>",
  "tlp": 2,
  "pap": 2,
  "type": "<string>",
  "source": "<string>",
  "sourceRef": "<string>",
  "externalLink": "<string>",
  "count": 1,
  "clientId": "<string>",
  "clientName": "<string>",
  "tags": [
    {
      "id": "<string>"
    }
  ],
  "teams": [
    {
      "id": "<string>"
    }
  ],
  "organizations": [
    "<string>"
  ],
  "customFields": {}
}
'
import requests

url = "https://nvidia.casebender.com/api/v1/alerts"

payload = {
    "title": "<string>",
    "severity": 2.5,
    "statusValue": "<string>",
    "description": "<string>",
    "tlp": 2,
    "pap": 2,
    "type": "<string>",
    "source": "<string>",
    "sourceRef": "<string>",
    "externalLink": "<string>",
    "count": 1,
    "clientId": "<string>",
    "clientName": "<string>",
    "tags": [{ "id": "<string>" }],
    "teams": [{ "id": "<string>" }],
    "organizations": ["<string>"],
    "customFields": {}
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    title: '<string>',
    severity: 2.5,
    statusValue: '<string>',
    description: '<string>',
    tlp: 2,
    pap: 2,
    type: '<string>',
    source: '<string>',
    sourceRef: '<string>',
    externalLink: '<string>',
    count: 1,
    clientId: '<string>',
    clientName: '<string>',
    tags: [{id: '<string>'}],
    teams: [{id: '<string>'}],
    organizations: ['<string>'],
    customFields: {}
  })
};

fetch('https://nvidia.casebender.com/api/v1/alerts', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Autorisations

Authorization
string
header
requis

API key authentication. Use format: Bearer cbr_live_your_key

Corps

application/json
title
string
requis
Required string length: 1 - 500
severity
number
requis
Plage requise: 1 <= x <= 4
statusValue
string
requis
description
string
tlp
number
défaut:2
Plage requise: 0 <= x <= 4
pap
number
défaut:2
Plage requise: 0 <= x <= 3
type
string
source
string
sourceRef
string
count
number
défaut:1
clientId
string
clientName
string
tags
object[]
teams
object[]
organizations
string[]
customFields
object

Réponse

200

Default Response